[prev in list] [next in list] [prev in thread] [next in thread] 

List:       klik-devel
Subject:    [klik-devel] [klikclient commit] r1589 - trunk/client/trunk
From:       codesite-noreply () google ! com
Date:       2008-05-16 14:19:21
Message-ID: 0016364d28e13742d7044d59b3ab () google ! com
[Download RAW message or body]

Author: lionel.tricon
Date: Fri May 16 07:18:20 2008
New Revision: 1589

Added:
   trunk/client/trunk/install_kde.sh   (contents, props changed)
   trunk/client/trunk/install_kde_user.sh
Removed:
   trunk/client/trunk/README.kde-thumbnailer
Modified:
   trunk/client/trunk/install.py

Log:
Attempt to enable thumbnails and recipe informations under kde


Modified: trunk/client/trunk/install.py
==============================================================================
--- trunk/client/trunk/install.py	(original)
+++ trunk/client/trunk/install.py	Fri May 16 07:18:20 2008
@@ -277,8 +277,8 @@
 		kde_home = Popen(["kde-config", "--localprefix"], stdout=PIPE, \
stderr=open(os.devnull, "w")).communicate()[0].strip()  \
shutil.copy(os.path.join(klik_files_path, "install", "kde", "klik.protocol"), \
os.path.join(kde_home, "share/services/klik.protocol"))  
-	
-	print "TODO: KDE thumbnailer"
+	print "KDE thumbnailer and kfile integration"
+        os.system(os.path.join(klik_install_path, "bin")+"install_kde.sh");
 
 # Cleanup
 # If the current directory has a .svn we can assume that there is .svn garbage

Added: trunk/client/trunk/install_kde.sh
==============================================================================
--- (empty file)
+++ trunk/client/trunk/install_kde.sh	Fri May 16 07:18:20 2008
@@ -0,0 +1,48 @@
+#!/bin/sh
+KLIK_PATH=`cd \`dirname $0\` && cd .. && pwd`
+PREFIX_PATH=`kde-config --userpath desktop`
+DESKTOP_NAME=`basename ${PREFIX_PATH}`
+PREFIX_PATH=`kde-config --prefix`
+
+if [ "`whoami`" != "root" ]; then
+    echo "You must be root in order to run $0"
+    exit 1
+fi
+
+install ${KLIK_PATH}/binaryparts/lib/kde3/* ${PREFIX_PATH}/lib/kde3/
+install -m 644 ${KLIK_PATH}/binaryparts/share/services/* \
${PREFIX_PATH}/share/services/ +for lang in es fr; do
+  install ${KLIK_PATH}/binaryparts/share/locale/$lang/LC_MESSAGES/kfile_cmg.mo.$lang \
${PREFIX_PATH}/share/locale/$lang/LC_MESSAGES/kfile_cmg.mo +done
+ldconfig -n ${PREFIX_PATH}/lib/kde3
+
+for user in `ls -1 /home`; do
+    TEMP=`mktemp`
+    cat > ${TEMP} << EOF
+[Desktop Entry]
+Comment=
+Comment[fr]=
+Encoding=UTF-8
+EOF
+    echo "Exec=$1/install_kde_user.sh" >> ${TEMP}
+    cat >> ${TEMP} << EOF
+GenericName=To enable thumbnails and recipe informations
+GenericName[fr]=Pour activer l'affichage des icônes et de l'information contextuelle \
sur les applications Klik2 +Icon=filetypes
+MimeType=
+Name=Click here to enable KLIK2 integration
+Name[fr]=Cliquez ici pour terminer l'intégration de Klik2 sous KDE
+Path=
+StartupNotify=true
+Terminal=false
+TerminalOptions=
+Type=Application
+X-DCOP-ServiceType=
+X-KDE-SubstituteUID=false
+X-KDE-Username=
+X-Ubuntu-Gettext-Domain=desktop_kdebase
+EOF
+    cp ${TEMP} "/home/$user/${DESKTOP_NAME}/To enable KLIK2 integration.desktop"
+    chown $user:$user "/home/$user/${DESKTOP_NAME}/To enable KLIK2 \
integration.desktop" +done
+exit 0

Added: trunk/client/trunk/install_kde_user.sh
==============================================================================
--- (empty file)
+++ trunk/client/trunk/install_kde_user.sh	Fri May 16 07:18:20 2008
@@ -0,0 +1,22 @@
+#!/bin/sh
+PREFIX_PATH=`kde-config --userpath desktop`
+DESKTOP_NAME=`basename ${PREFIX_PATH}`
+PIDOF_BIN="/bin/pidof"
+test -x /sbin/pidof && PIDOF_BIN="/sbin/pidof"
+${PIDOF_BIN} kdesktop || exit 0
+kwriteconfig --group "PreviewSettings" --key MaximumSize 101816730
+kwriteconfig --group "PreviewSettings" --key UseFileThumbnails true
+LIST=`kreadconfig --group "Desktop Icons" --key "Preview" --file kdesktoprc`
+if [ $LIST == "" ]; then
+  kwriteconfig --group "Desktop Icons" --key "Preview" --file kdesktoprc \
isofsthumbnail +else
+  (echo $LIST | grep isofsthumbnail) || kwriteconfig --group "Desktop Icons" --key \
"Preview" --file kdesktoprc "$LIST,isofsthumbnail" +fi
+dcop kdesktop MainApplication-Interface quit
+while [ test ! -z `${PIDOF_BIN} kdesktop` ]; do
+    sleep 1
+done
+kdesktop
+kdialog --msgbox "Thanks for using Klik2 !"
+rm -f "$HOME/${DESKTOP_NAME}/To enable KLIK2 integration.desktop"
+exit 0
_______________________________________________
klik-devel mailing list
klik-devel@kde.org
https://mail.kde.org/mailman/listinfo/klik-devel


[prev in list] [next in list] [prev in thread] [next in thread] 

Configure | About | News | Add a list | Sponsored by KoreLogic